package com.lantone.qc.trans.beilun.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 死亡记录html解析
 * @author: HUJING
 * @time: 2020/9/14 15:41
 */
public class BeiLunDeathRecordHtmlAnalysis implements BeiLunHtmlAnalysis {

    @Override
    public Map<String, String> analysis(String... args) {
        List<String> titles = Lists.newArrayList("入院日期", "死亡时间", "入院情况", "入院诊断",
                "诊疗经过（重点记录病情演变、抢救经过）", "死亡原因", "死亡诊断", "医师签字", "记录时间");
        String html = args[0];
        String recTitle = args[1];
        Map<String, String> structureMap = Maps.newLinkedHashMap();
        String htmlContent = CommonAnalysisUtil.html2String(html);
        if (StringUtil.isNotBlank(htmlContent)) {
            htmlContent = htmlContent.replaceAll("[   ]", " ");
            CommonAnalysisUtil.html2StructureMap(titles, htmlContent, structureMap);
        }
//        structureMap.put("rec_title=", "5254");
        BeiLunHtmlAnalysisUtil.insertModuleId(recTitle, structureMap);
        return structureMap;
    }

}